Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Classes

# base/scene.h File Reference

Classes for a scene, camera, geometry, labelling, etc. More...

`#include <string>`
`#include "geom.h"`
`#include "timing.h"`
`#include "coloring.h"`
`#include "symmetry.h"`
`#include "bbox.h"`
Include dependency graph for scene.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | elem_disp
| Class for basic display properties of an element type. More...
class | geom_disp
| Base class for displaying a geometry. More...
class | scene_item
| Base class for items in a scene. More...
class | scene_geom
| Class for a geometry in a scene. More...

## Detailed Description

Classes for a scene, camera, geometry, labelling, etc.